Summary:        PGP encryption and signing for caja
Name:           seahorse-caja
License:        GPLv2+
Version:        1.18.1
Release:        2%{?dist}
URL:            https://github.com/darkshram/%{name}
Source0:        https://github.com/darkshram/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common
BuildRequires:  gtk3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gcr-devel
BuildRequires:  gnupg2
BuildRequires:  gpgme-devel >= 1.0
BuildRequires:  caja-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libcryptui-devel
BuildRequires:  libnotify-devel

%if 0%{?rhel}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif

%description
Seahorse caja is an extension for caja which allows encryption
and decryption of OpenPGP files using GnuPG.


%prep
%setup -q

%build
%configure \
    --disable-silent-rules \
    --disable-gpg-check

make %{?_smp_mflags} V=1


%install
%{make_install}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

desktop-file-validate %{buildroot}%{_datadir}/applications/mate-seahorse-pgp-encrypted.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-seahorse-pgp-keys.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-seahorse-pgp-signature.desktop

%find_lang %{name} --with-gnome --all-name


%if 0%{?rhel}
%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /usr/bin/update-desktop-database &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%endif

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/mate-seahorse-tool
%{_libdir}/caja/extensions-2.0/libcaja-seahorse.so
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.mate.seahorse.caja.*gschema.xml
%{_datadir}/seahorse-caja/
%{_mandir}/man1/mate-seahorse-tool.1*


%changelog
* Sat Oct 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.1-2
- update rpm scriplets

* Sat Oct 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.1-1
- initial package
